cgGetNumUserTypes(3)

NAME
cgGetNumUserTypes - get number of user-defined types in a program or effect

SYNOPSIS
  #include <Cg/cg.h>
  int cgGetNumUserTypes( CGhandle handle );

PARAMETERS

handle
    The CGprogram or CGeffect in which the types are defined.

RETURN VALUES
Returns the number of user defined types.

DESCRIPTION
cgGetNumUserTypes returns the number of user-defined types in a given CGprogram or CGeffect.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PROGRAM_HANDLE_ERROR is generated if handle is not a valid program or effect handle.

HISTORY
cgGetNumUserTypes was introduced in Cg 1.2.

SEE ALSO
the cgGetUserType manpage, the cgGetNamedUserType manpage